Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class LineStyle2D

    java.lang.Object
      |
      +--com.java4less.rchart.LineStyle
            |
            +--com.java4less.rchart.LineStyle2D

public class LineStyle2D
extends LineStyle

subclass of LineStyle that supports transparency

Field Summary
`float` | `alphaValue` clear (0), transparency (0.5), opaque (1).

Fields inherited from class com.java4less.rchart.LineStyle
`LINE_DASHED, LINE_DOTS, LINE_NORMAL`

Constructor Summary
`LineStyle2D(float w, com.java4less.rchart.gc.ChartColor c, int t, float alpha)` Creates a line style with the given width, color and style(line, dashed...) and transparency (alpha value)

Method Summary
`void` | `drawArc(com.java4less.rchart.gc.ChartGraphics g, int x, int y, int w, int h, int a1, int a2)`

Methods inherited from class com.java4less.rchart.LineStyle
`draw, drawLineWithStyle, drawOpenPolygon, drawPolygon, drawRect, getColor, getType, getWidth, setColor, setType, setWidth`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alphaValue

    public float alphaValue

  clear (0), transparency (0.5), opaque (1).

Constructor Detail

### LineStyle2D

    public LineStyle2D(float w,
                       com.java4less.rchart.gc.ChartColor c,
                       int t,
                       float alpha)

  Creates a line style with the given width, color and style(line, dashed...) and transparency (alpha value)

Method Detail

### drawArc

    public void drawArc(com.java4less.rchart.gc.ChartGraphics g,
                        int x,
                        int y,
                        int w,
                        int h,
                        int a1,
                        int a2)

  Overrides:
    `drawArc` in class `LineStyle`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD